%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-TurboMail
Version:        3.0
Release:        3%{?dist}
Summary:        Multi-threaded mail queue manager for TurboGears applications

Group:          Development/Libraries
License:        MIT
URL:            http://www.python-turbomail.org
Source0:        http://pypi.python.org/packages/source/T/TurboMail/TurboMail-%{version}.tar.gz
Source1:        LICENSE.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-setuptools-devel
Requires:       python-setuptools


%description
TurboMail is a multi-threaded mail delivery subsystem and MIME message
generation framework for Python. TurboMail uses built-in Python modules for SMTP
communication and MIME e-mail creation, but greatly simplifies these tasks by
performing the grunt-work for you.

%prep
%setup -q -n TurboMail-%{version}
find . -type f -name '.*' | xargs rm -rf
rm -fr tests
cp %{SOURCE1} .

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt
%{python_sitelib}/TurboMail-%{version}-py%{pyver}.egg-info
%{python_sitelib}/turbomail/


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Sep 28 2009 Felix Schwarz <felix.schwarz@oss.schwarz.eu> - 3.0-1
- Update to new major version 3.0
- fixed copyright attribution in LICENSE.txt

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.1-5
- Rebuild for Python 2.6

* Tue Sep  2 2008 Michael Schwendt <mschwendt@fedoraproject.org> 2.1-4
- Include unowned directory.

* Tue Feb 19 2008 Luke Macken <lmacken@redhat.com> 2.1-2
- Patch setup.py to add __requires__="TurboGears".  This will make sure we pull
  in the appropriate CherryPy module.

* Tue Feb 19 2008 Luke Macken <lmacken@redhat.com> 2.1-2
- Bump and rebuild to fix a broken upgrade path

* Mon Nov 26 2007 Luke Macken <lmacken@redhat.com> 2.1-1
- Update to 2.1

* Tue Jun  5 2007 Luke Macken <lmacken@redhat.com> 2.0.4-2
- Add python-devel to BuildRequires

* Tue Jun  5 2007 Luke Macken <lmacken@redhat.com> 2.0.4-1
- Latest upstream release

* Fri Jan 19 2007 Luke Macken <lmacken@redhat.com> 2.0.3-3
- Remove superfluous build

* Fri Dec 15 2006 Luke Macken <lmacken@redhat.com> 2.0.3-2
- Add TurboGears to BuildRequires
- Remove superfluous CFLAGS
- Add LICENSE.txt

* Thu Dec 14 2006 Luke Macken <lmacken@redhat.com> 2.0.3-1
- Initial release
